import { JSONError } from "./JSONError";
export declare abstract class RealmProblem extends JSONError {
    readonly path: string;
    readonly code: number;
    readonly type: string;
    toJSON(): any;
}
export declare class ServerMisconfiguration extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class InvalidParameters extends RealmProblem {
    path: string;
    title: string;
    code: number;
    invalidParams: {
        name: string;
        reason: string;
    }[];
    constructor(...parameters: ({
        name: string;
        reason: string;
    } | string)[]);
    readonly message: string;
    toJSON(): any;
}
export declare class MissingParameters extends InvalidParameters {
    path: string;
    title: string;
    code: number;
    constructor(...parameters: string[]);
}
export declare class InvalidCredentials extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class UnknownAccount extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class ExistingAccount extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class AccessDenied extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class ExpiredRefreshToken extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class InvalidHost extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class ExpiredPermissionOffer extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class AmbiguousPermissionOfferToken extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
export declare class FileMayNotBeShared extends RealmProblem {
    path: string;
    title: string;
    status: number;
    code: number;
}
