export interface TokenParams {
    identity: string;
    appId: string;
    expires?: number;
    salt?: string;
}
export declare abstract class Token {
    static parse(tokenString: string, publicKey: string): Token;
    readonly identity: string;
    readonly appId: string;
    readonly expires: number;
    readonly access: string[];
    readonly salt: string;
    constructor(params: TokenParams);
    toJSON(): any;
    data(): string;
    encodedData(): string;
    sign(privateKey: any): string;
}
export interface RefreshTokenParams extends TokenParams {
    isAdmin: boolean;
}
export declare class RefreshToken extends Token {
    readonly isAdmin: boolean;
    readonly access: string[];
    constructor(params: RefreshTokenParams);
    toJSON(): any;
}
export interface AccessTokenParams extends TokenParams {
    access: string[];
    path?: string;
    syncLabel?: string;
}
export declare class AccessToken extends Token {
    readonly access: string[];
    readonly path: string | undefined;
    readonly syncLabel: string;
    constructor(params: AccessTokenParams);
    toJSON(): any;
}
export declare function generateAdminToken(privateKey: string, expires?: number, access?: string[], appId?: string): string;
